<?php
namespace AkTest\Events;

use Ak\Events\ConfigProvider;
use Ak\Test\AbstractTestCase;
use Laminas\EventManager\SharedEventManager;
use Laminas\EventManager\SharedEventManagerInterface;

/**
 * Class ConfigProviderTest
 *
 * @package AkTest\Events
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/events
 */
final class ConfigProviderTest extends AbstractTestCase
{
    protected $providers = [
        ConfigProvider::class,
    ];

    public function testSharedEventManagerIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertContainerHasService($container, [
            'SharedEventManager',
            SharedEventManagerInterface::class,
            SharedEventManager::class,
        ], SharedEventManagerInterface::class, true);
    }
}
